package net.nosial.socialclient.abstracts;

import net.nosial.socialclient.objects.RpcError;
import net.nosial.socialclient.objects.RpcResponse;

import java.util.Map;

public abstract class RpcResult
{
    private final boolean success;

    protected RpcResult(boolean success)
    {
        this.success = success;
    }

    public boolean isSuccess()
    {
        return this.success;
    }

    public abstract RpcError getErrorResponse();
    public abstract RpcResponse getResponse();

    public static RpcResult fromMap(Map<String, Object> data)
    {
        if(data.containsKey("error"))
        {
            return new RpcError(data);
        }
        else if(data.containsKey("id"))
        {
            return new RpcResponse(data);
        }

        // TODO: Use standard RpcException for this or something
        throw new IllegalArgumentException("Cannot recognize RPC object");
    }
}
