package net.nosial.socialclient.classes;

import java.util.concurrent.ThreadLocalRandom;

public class Utilities
{
    private static final int[] CRC32_TABLE = new int[256];

    static
    {
        for (int i = 0; i < 256; i++)
        {
            int crc = i;
            for (int j = 8; j > 0; j--)
            {
                if ((crc & 1) == 1)
                {
                    crc = (crc >>> 1) ^ 0xEDB88320;
                }
                else
                {
                    crc = crc >>> 1;
                }
            }

            CRC32_TABLE[i] = crc;
        }
    }

    public static String randomCrc32()
    {
        long randomValue = ThreadLocalRandom.current().nextLong(Long.MAX_VALUE);
        String valueString = Long.toString(randomValue);
        int crc = 0xFFFFFFFF;

        for (char c : valueString.toCharArray())
        {
            crc = (crc >>> 8) ^ CRC32_TABLE[(crc ^ c) & 0xFF];
        }

        crc = ~crc;
        return Integer.toHexString(crc);
    }
}
