package net.nosial.socialclient.enums;

public enum StandardErrorCodes
{
    UNKNOWN(-1),

    RPC_METHOD_NOT_FOUND(-1000),
    RPC_INVALID_ARGUMENTS(-1001),

    INTERNAL_SERVER_ERROR(-2000),
    SERVER_UNAVAILABLE(-2001),

    INVALID_PUBLIC_KEY(-3000),
    UNSUPPORTED_AUTHENTICATION_TYPE(-3001),
    ALREADY_AUTHENTICATED(-3002),
    AUTHENTICATION_REQUIRED(-3003),
    SESSION_NOT_FOUND(-3004),
    SESSION_REQUIRED(-3005),

    PEER_NOT_FOUND(-4000),
    INVALID_USERNAME(-4001),
    USERNAME_ALREADY_EXISTS(-4002);

    private final int code;

    StandardErrorCodes(int code)
    {
        this.code = code;
    }

    public int getCode()
    {
        return this.code;
    }

    public static StandardErrorCodes resolveCode(int input)
    {
        for (StandardErrorCodes errorCode : StandardErrorCodes.values())
        {
            if (errorCode.getCode() == input)
            {
                return errorCode;
            }
        }

        return UNKNOWN;
    }
}