package net.nosial.socialclient.enums.flags;

public enum PeerFlags
{
    // Administrative Flags
    ADMIN(true, "ADMIN"),
    MODERATOR(true, "MODERATOR"),

    // General Flags
    VERIFIED(true, "VERIFIED"),

    // Verification Flags
    VER_SET_PASSWORD(false, "VER_SET_PASSWORD"),
    VER_SET_OTP(false, "VER_SET_OTP"),
    VER_SET_DISPLAY_NAME(false, "VER_SET_DISPLAY_NAME"),
    VER_EMAIL(false, "VER_EMAIL"),
    VER_SMS(false, "VER_SMS"),
    VER_PHONE_CALL(false, "VER_PHONE_CALL"),
    VER_SOLVE_IMAGE_CAPTCHA(false, "VER_SOLVE_IMAGE_CAPTCHA");

    private final boolean isPublic;
    private final String flag;

    PeerFlags(boolean isPublic, String flag)
    {
        this.isPublic = isPublic;
        this.flag = flag;
    }

    public String getFlag()
    {
        return this.flag;
    }

    public boolean isPublic()
    {
        return this.isPublic;
    }
}
