package net.nosial.socialclient.objects;

public class ResolvedServer
{
    private final String endpoint;
    private final String publicKey;

    public ResolvedServer(String endpoint, String publicKey)
    {
        if(endpoint == null || publicKey == null)
        {
            throw new IllegalArgumentException("Endpoint and public key must not be null");
        }

        this.endpoint = endpoint;
        this.publicKey = publicKey;
    }

    public String getEndpoint()
    {
        return this.endpoint;
    }

    public String getPublicKey()
    {
        return this.publicKey;
    }
}
