package net.nosial.socialclient.objects.standard;

import java.awt.image.BufferedImage;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.util.Base64;
import java.util.Map;

public class ImageCaptcha
{
    private final int expires;
    private final String image;

    public ImageCaptcha(Map<String, Object> data)
    {
        this.expires = (int) data.get("expires");
        this.image = (String) data.get("image");
    }

    public int getExpires()
    {
        return expires;
    }

    public String getImage()
    {
        return image;
    }

    public BufferedImage getImageBuffer() throws IOException
    {
        String base64Image = this.image;
        if(this.image.contains(","))
        {
            base64Image = this.image.split(",")[1];
        }

        byte[] imageBytes = Base64.getDecoder().decode(base64Image);

        ByteArrayInputStream bis = new ByteArrayInputStream(imageBytes);
        BufferedImage image = javax.imageio.ImageIO.read(bis);
        bis.close();

        return image;
    }
}
